setCAssetLimit
Sets or modifies a counterparty asset limit
POST api/setCAssetLimit
{
"counterpartyId": 4,
"asset": "EUR",
"shortPositionLimit": 15000000000000,
"longPositionLimit": 20000000000000,
"limitCurrency": "USD"
}{
"error": 0
}{
"error": 2
}Request parameters
Field name
Type
Description
counterpartyId
Efx::ClientId
Counterparty Id
asset
string
Asset for which the limit is set
shortPositionLimit
Efx::Size
Limit counterparty's short position
longPositionLimit
Efx::Size
Limit counterparty's long position
limitCurrency
string
Limit value currency
Last updated